commit 16a2780bfb91811584e130eda3c517532ef840a3
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-03-17
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-03-17

    Update README for binary dist

commit a3e07aa8573126238991f5cba7b55a934246bcee
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-03-17
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-03-17

    Update NEWS

commit 0fa92911d7b81df6e8942ad0059c22b66d833693
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-03-17
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-03-17

    util.cc: Include only signal.h for opensolaris build

commit 0741a14486b4c464251d4452cd36672c452c590b
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-03-17
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-03-17

    Revert 6b55f5d3 because it breaks opensolaris build

commit 09cc9d876aab63858b9adf6687752ee62da12ac7
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-03-17
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-03-17

    Add UDP Tracker specification to References section

commit 8c7904116ae9da3382a317c20518f3f1779ac589
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-03-17
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-03-17

    Add reference to online Portuguese translated manual

commit 18ad88088d029d1810ba9baa0c5c76243ec1c609
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-03-16
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-03-16

    Fix typo in GZipFile.h spelling

commit 4808715e66462d1664e46d1070dbd6a1845312ac
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-03-13
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-03-13

    State explicitly that pkg-config is required

commit 86f5d01708f1c68645f3af1c424bb41f3098a5e3
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-03-12
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-03-12

    aria2_arg.m4: Doc fix

commit 2e94b4e4eb361f1b8b3e61ce64d2160ea81ebe4a
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-03-12
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-03-12

    Revert dbb12d1bc86e8884a21b1a4dbb3fa57d0358acc3

commit d77f16f5ba4f68ba5e3a8f8cc2370bcbb35d3c01
Author:     ITriskTI <ITriskTI@gmail.com>
AuthorDate: 2013-03-06
Commit:     ITriskTI <ITriskTI@gmail.com>
CommitDate: 2013-03-06

    Update aria2c.rst

commit bf10925fc37f90e78af0c88d23fbe2daca3edd17
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-03-06
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-03-06

    Bump up version number to 1.16.4

commit dbb12d1bc86e8884a21b1a4dbb3fa57d0358acc3
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-03-04
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-03-04

    aria2_arg.m4: Doc fix and use default=yes instead of check

commit 9c2202c89951887c0b64fa98488c4f269543be86
Merge: 85de8b0 4d6bf95
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-03-04
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-03-04

    Merge branch 'clear-configure' of https://github.com/nmaier/aria2 into nmaier-clear-configure

commit 85de8b0642291a81952428f9752df6591b0cac98
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-03-04
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-03-04

    Revert DownloadEngine.cc change in 6b55f5d3 because Debian Lenny breaks

commit 4d6bf959a6ed1a50aea2a8e8e0e38cbe04dee6dc
Author:     Nils Maier <maierman@web.de>
AuthorDate: 2013-02-27
Commit:     Nils Maier <maierman@web.de>
CommitDate: 2013-03-03

    Make configure argument meaning more consistent and obvious.
    
    Most other software uses --disable/--without for features it does build
    or at least check by default.
    
    Change aria2 configure options so that:
     * --enable-*: do not build by default, unless --enable specified
     * --disable-*: check and build by default, unless --disable specified
     * --with-*: do not use by default, unless --with specified
     * --without-*: check and use by default, unless without specified

commit 8c0d901f3e363e82c073bc205cb849c4b0cc2484
Merge: 588ee2f 4f2c1b8
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-03-03
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-03-03

    Merge branch 'oot-sphinx' of https://github.com/nmaier/aria2 into nmaier-oot-sphinx

commit 588ee2f1cc11061332c508a848f2568ea2585ddb
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-03-03
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-03-03

    GZipFile: Move buf_, buflen_ to initializer list

commit 4f2c1b86ebe916991d70c490b60d9552a28496a4
Author:     Nils Maier <maierman@web.de>
AuthorDate: 2013-03-01
Commit:     Nils Maier <maierman@web.de>
CommitDate: 2013-03-03

    Allow for out-of-tree Sphinx builds

commit 43cb2d880aea545ccd10c0c4366013f16437828c
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-03-03
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-03-03

    Rewrite GZipFile::vprintf()
    
    MINGW does not have vasprintf(), so we use _vscprintf() and
    vsnprintf(). We want to reuse buffer, so for non-MINGW we use
    vsnprintf() with retrying doubling buffer size if output is truncated.

commit e17d0f8d4efa3225b7b5fa50faac781e234a3c2a
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-03-03
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-03-03

    Bring back datetime in console log

commit 66a85777ad404c69c844f11b6de2545aac552a03
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-03-03
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-03-03

    Document UDP tracker in manual

commit baaa3a4fb22e258911c74b2749ea8e1863a6d6c7
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-03-03
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-03-03

    Use IndexedList::remove_if to clean up RequestGroupMan::removeStoppedGroup

commit d4ba562710c3d9630bd704e5731e1b234569536c
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-03-01
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-03-03

    Implement IndexedList::iterator
    
    It is dangerous to expose internal iterator to the outside, which is
    easily misused.

commit 421ae13d4084932f2504720eefdd8e6ed1cbffdc
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-03-03
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-03-03

    Run checksum check if -V and -c are used and file is completed
    
    With -c option, aria2 can continue download after the existing file
    position. If it is not completed, then after completion aria2 runs
    checksum checking if available. But if existing file has already been
    completed, then CreateRequestCommand exits without issuing checksum
    checking. And aria2 treats it download error because it needs checksum
    verification but it has not been done. This change fixes this by
    properly checking download state and issue checksum checking before
    CreateRequestCommand.

commit 841fdbb965d0d2db7bd60cda08d138364a5e7366
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-03-03
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-03-03

    Add GZipFileTest
    
    For now, it is a copy of BufferedFileTest.cc

commit 9b9987547840e90cb61c2364926e00dd6b6e2381
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-03-03
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-03-03

    Add writeOptionLine() to format 1 line of option name/value pair

commit 6b55f5d39399a33e911bb9e2907e0f9ba95a576d
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-03-03
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-03-03

    Do changes in 8aa1db6 in other places which include signal.h

commit 7c66d1952af934d2563e829107e1e4985627d369
Merge: 122e592 8aa1db6
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-03-03
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-03-03

    Merge branch 'mingw-signal' of https://github.com/nmaier/aria2 into nmaier-mingw-signal

commit 122e5929c18955cfe9e02342b89c21c981fff6b4
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-03-03
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-03-03

    SessionSerializer: Remove check fp because it is always true

commit f4469b79aae12b16f85b556001cb077f249e8b02
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-03-03
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-03-03

    SessionSerializer crash when filename length is less than 3

commit 910e40f128c7a7030f22c6f209e31688918fb56e
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-03-03
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-03-03

    Fix missing value in serialized pause option

commit 1596e83a836c1dc369122e6e40423aa1ccd41acf
Author:     Nils Maier <maierman@web.de>
AuthorDate: 2013-03-01
Commit:     Nils Maier <maierman@web.de>
CommitDate: 2013-03-02

    Document -i/--save-session gzip behaviour

commit f2f8b14047c5b0f3a41338440c63ca3f9a591427
Author:     Nils Maier <maierman@web.de>
AuthorDate: 2013-03-01
Commit:     Nils Maier <maierman@web.de>
CommitDate: 2013-03-02

    Support for gzipped -i and --save-session
    
    Saved sessions may very large, as in hundreds and even thousands of
    megabyte when dealing with large queues.
    Add support to save and reload sessions to gzipped files, when libz is
    available.
    
    The session serializer will output gzipped contents when the file ends
    with .gz, while the input file reader (UriListParser) will accept
    whatever is thrown at it.

commit b0556a7519af611f665ee5a6ccc1b514a0585bef
Author:     Nils Maier <maierman@web.de>
AuthorDate: 2013-03-01
Commit:     Nils Maier <maierman@web.de>
CommitDate: 2013-03-02

    Do not use a virtual varargs function
    
    This stuff breaks in some compiler (configurations)

commit 8aa1db682b2a5c864fc745866534999b6db14e9b
Author:     Nils Maier <maierman@web.de>
AuthorDate: 2013-03-01
Commit:     Nils Maier <maierman@web.de>
CommitDate: 2013-03-02

    Check for sys/signal.h and/or signal.h
    
    mingw-w64 does not actually have sys/signal.h, while OSX currently has a
    broken signal.h
    Better check the presence of both and use sys/signal.h if present, else
    signal.h

commit 7f6a4467505afb23f55d756bfcf8680681ee4d99
Author:     Nils Maier <maierman@web.de>
AuthorDate: 2013-03-01
Commit:     Nils Maier <maierman@web.de>
CommitDate: 2013-03-01

    Hygiene: Fix some clang warnings, mostly unused private members.

commit 62f842579df2276710a022a549f31803493508a2
Author:     Nils Maier <maierman@web.de>
AuthorDate: 2013-03-01
Commit:     Nils Maier <maierman@web.de>
CommitDate: 2013-03-01

    Fix bustage on OSX with ./configure CC=cc CXX=c++ (clang)

commit e4bd910d4384e97a250a72b5ba12099083d153e8
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-02-26
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-02-26

    Update doc

commit 704eebfac6d121602b9257bcc0f8115498eba381
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-02-26
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-02-26

    Use std::remove_if

commit 7f805df4f0f760571a08a41759010f80954976e7
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-02-26
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-02-26

    Use std::remove_if

commit 4ac4fdf1e9491151ccc5f892ac69899b77ede605
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-02-25
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-02-26

    Use same port number for IPv4 and IPv6 DHT

commit 33037982dce837f0dcf3862314ace75b3ae16d00
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-02-25
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-02-26

    Improve log message for server socket

commit dfac717dbf04e4f5acd7e5e69b8a2131dc56b5b2
Merge: 11b9f3e d1301b8
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-02-26
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-02-26

    Merge branch 'fix-initial-rq-leak' of https://github.com/nmaier/aria2 into nmaier-fix-initial-rq-leak

commit d1301b8697f6d2a1c0c547c504317495406ab0f7
Author:     Nils Maier <maierman@web.de>
AuthorDate: 2013-02-26
Commit:     Nils Maier <maierman@web.de>
CommitDate: 2013-02-26

    Do not reference RequestGroups longer than necessary
    
    There is an initial vector of SharedHandle<RequestGroup> to seed the
    DownloadEngine. This vector was however kept alive via main.cc ->
    MultiUrlRequestInfo up until the program exits, hence effetively leaking
    all initial RequestGroups and associated object instances.
    
    Hence, as a matter of dirty-workaround, drop the contents of that initial
    vector as soon as it is not required any longer.

commit 11b9f3ebe2686e18e6e7410b95cd1d38068048ff
Author:     Nils Maier <maierman@web.de>
AuthorDate: 2012-06-12
Commit:     Nils Maier <maierman@web.de>
CommitDate: 2013-02-25

    Detect console with on Windows
    
    Signed-off-by: Nils Maier <maierman@web.de>

commit a49397ed19f4dff0bddba555ddd715e3766c488b
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-02-25
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-02-25

    Fix infinite loop when size of downloadResults_ exceeds maxDownloadResult_

commit 2aeb7137d0b8d6d07c9250ec2dc9fbbbef26a599
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-02-25
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-02-25

    Log host and port when unexpected or unknown UDP tracker reply is received

commit d68741697ad93e4099b16c7fbfedc7ed4b98b75f
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-02-25
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-02-25

    Support UDP tracker
    
    It shares UDP listening port with IPv4 DHT. At the moment, in order to
    enable UDP tracker support, enable IPv4 DHT.

commit b782a56b1c178795fda4ca7ed2ee4d9621927aab
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-02-23
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-02-23

    Show correct end byte in error message when HTTP response range is not ok
    
    Previously, unless HTTP pipelining is enabled, end byte in that
    message is always 0. With this change, it shows correct end byte sent
    to the HTTP server.

commit 73f4db883cde5eee2f81e77c9e37f1915905139b
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-02-21
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-02-21

    Update copyright year in version text

commit 67fa274578cfa97005bfda565dace59bf7096310
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-02-21
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-02-21

    Add test when instance-length is 0

commit 38fc5de1546cfc670228a8f71edb62f47beff974
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-02-19
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-02-19

    doc: Specify static file explicitly

commit e8491b989bd6d275275456e7496ddd26a1269559
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-02-14
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-02-19

    Add Portuguese manual
    
    This translation is based on aria2 version 1.15.2 manual.
    Contributed by Gilberto dos Santos Alves

commit 4095b2ec6b9e327955c972f67f3e77c46f1f8336
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-02-19
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-02-19

    Update doc

commit 7c2404db5e5d1ca3ee28c3c92574c25979509cd0
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-02-18
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-02-18

    Set language=ru in ru/conf.py.in

commit 68919a24129b63d5eebdf6c91bfa1387828dcf72
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-02-18
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-02-18

    Update doc css

commit b3acf4d393f21af822bb59cdb191760b92b540ad
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-02-16
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-02-16

    Rewrite cookie_helper::reverseDomainLevel()

commit 61665d2c26be32c396e295345e92449ef3b9c001
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-02-14
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-02-14

    Set sa_mask when setting signal handler

commit 8e3ae3b76c34524d948a551a296349c920e22170
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-02-14
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-02-14

    Use _exit() instead of exit() where appropriate

commit 45a128a7e80316bd2e1169d50c5a9b9ab8b15221
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-02-04
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-02-04

    Add test for saving finished download with force-save option

commit 3fc45edaa7eeb944c42b099f66d5eec6a9382bc2
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-02-04
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-02-04

    Fix bug that active downloads are not saved with --save-session-interval
